framework:
    workflows:
        material:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estadoNotificacion'
            supports:
                - App\Entity\SN\Notificacion
            initial_marking: Borrador
            places:
                - Borrador
                - Publicado
                - Eliminado
                - Privado
            transitions:
                guardar:
                    from: [Borrador, Publicado, Privado]
                    to:   Borrador
                editar:
                    from: [Publicado, Privado]
                    to:   Borrador
                publicar:
                    from: [Borrador, Publicado, Privado]
                    to:   Publicado
                eliminar:
                    from: [Borrador, Publicado, Privado]
                    to:   Eliminado
